// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    ext.kotlin_version = '1.5.31'
    ext.anko_version= '0.10.8'
    ext.rx_lifecycle_version = '2.2.1'
    ext.glide_version = "3.7.0"

//ext.ok_http_version = '4.9.3'
    ext.ok_http_version = '3.4.1'
    ext.retrofit_version = '2.1.0'

    ext.rx_kotlin_version = '2.0.0'
    ext.rx_android_version ='1.2.1'

    ext.glide_version = '4.13.0'
    ext.dagger_version = '2.41'

    ext.multi_state_view_version = '2.2.0'

    ext.arouter_api_version = '1.5.2'


    repositories {
        google()
        mavenCentral()

        maven { url 'https://jitpack.io' }
//        maven { url 'http://maven.aliyun.com/nexus/content/groups/public/' }
//        maven { url 'https://maven.aliyun.com/repository/public/' }
//        maven { url 'https://maven.aliyun.com/repository/google/' }
//        maven { url 'https://maven.aliyun.com/repository/jcenter/' }
//        maven { url 'https://maven.aliyun.com/repository/central/' }

    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.2.0'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
//        classpath "com.alibaba:arouter-register:1.0.2"
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://jitpack.io' }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
